REM ============================================================
REM FILE: Compile.bat
REM DESC: This File will Compile the Applet
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR cmn
MKDIR gui
MKDIR util

MKDIR production
MKDIR production\gui
MKDIR production\io
MKDIR production\plot

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .

COPY src\cmn\*.java cmn
COPY src\gui\*.java gui
COPY src\util\*.java util

COPY src\production\*.java production
COPY src\production\gui\*.* production\gui
COPY src\production\io\*.* production\io
COPY src\production\plot\*.* production\plot

REM ------------------------------------------------------------
REM COMPILE Simple LAS Plot
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation production.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java
DEL cmn\*.java
DEL gui\*.java
DEL util\*.java

DEL production\gui\*.java
DEL production\io\*.java
DEL production\plot\*.java
DEL production\*.java

REM ------------------------------------------------------------
REM REMOVE the old LAS Jar File
REM BUILD JAR File for the LAS Plot
REM ------------------------------------------------------------

DEL production.txt

C:\jdk1.7.0_25\bin\jar cvfm production.jar Manifest.txt *.class cmn gui production util images
C:\jdk1.7.0_25\bin\jar tvf production.jar > production.txt

MOVE *.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL cmn /q
DEL gui /q
DEL util /q

DEL production /q
DEL production\gui /q
DEL production\io /q
DEL production\plot /q

RMDIR cmn
RMDIR gui
RMDIR util

RMDIR production\gui
RMDIR production\io
RMDIR production\plot
RMDIR production

DEL *.class
