/*
 * @cmnStruct.java Version 1.1 09/04/2013
 *
 * Copyright (c) 2013 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package cmn;

import java.net.*;
import java.awt.*;
import java.applet.*;
import javax.swing.*;

/** CLASS cmnStruct
 *  <p> This Class holds the global gui data structure data.
 *      NOTE: This version is designed for the Production Applet and will not work
 *            with other web apps.
 *  @version 1.1 09/04/2013
 *  @author  John R. Victorine
 */

public class cmnStruct
{
  // Kansas Geological Survey Home Web Addresses

  public static final String KGS      = "http://www.kgs.ku.edu";
  public static final String ABYSS    = "http://chasm.kgs.ku.edu";

  /* ======================================================================= *
   * --------------------- Web Applications Mnemonics ---------------------- *
   * ======================================================================= */

  // BASE URL to the ABYSS PLSQL Stored procedure base path.

  public static final String PLSQL       = "http://chasm.kgs.ku.edu/ords/";
  public static final String PLSQL_USER  = "http://chasm.kgs.ku.edu/ords/iqstrat.";

  /* -------------------------------------------------------------------------------------------------------- *
   * --------------------------------- KGS Production Stored Procedures ------------------------------------- *
   * -------------------------------------------------------------------------------------------------------- *
   * KGS_PRODUCTION - Retrieve Production Data from KGS Database                                              *
   *                                                                                                          *
   *  http://chasm.kgs.ku.edu/ords/iqstrat.co2_production_pkg.getXML?sFluid=1001327957 // Wellington Unit 53  *
   *                                                                                                          *
   * KGS_PRODUCTION_INFO - Retrieve Basic Production Information from KGS Database                            *
   *                                                                                                          *
   *  http://chasm.kgs.ku.edu/ords/iqstrat.production_info_pkg.getXML?sLease=Kendrick                         *
   *  http://chasm.kgs.ku.edu/ords/iqstrat.production_info_pkg.getXML?sField=Arroyo                           *
   *  http://chasm.kgs.ku.edu/ords/iqstrat.production_info_pkg.getXML?sOperator=Huber                         *
   *                                                                                                          *
   * KGS_PRODUCTION_COUNTIES - Retrieve Production Counties from KGS Database                                 *
   *                                                                                                          *
   *  http://chasm.kgs.ku.edu/ords/iqstrat.production_info_pkg.getCounties                                    *
   * -------------------------------------------------------------------------------------------------------- */

  public static final String KGS_PRODUCTION          = PLSQL_USER + "co2_production_pkg.getXML?";
  public static final String KGS_PRODUCTION_INFO     = PLSQL_USER + "production_info_pkg.getXML?";
  public static final String KGS_PRODUCTION_COUNTIES = PLSQL_USER + "production_info_pkg.getCounties";

  public static final String KGS_INJECTION           = PLSQL_USER + "co2_injection_pkg.getXML?";

  /* ======================================================================= *
   * ---------------------------- KGS Logo Icon ---------------------------- *
   * ======================================================================= */

  public static final String      ICON   = "images/kgsSm.png";
  public static final String      ICON2  = "images/kgsSm2.png";
  public Image                    pIcon  = null;
  public Image                    pIcon2 = null;

  /* ======================================================================= *
   * ----------------------------- Image Icons ----------------------------- *
   * ======================================================================= */

  public static final String WEB_APP    = "/images/webapp.png";
  public static final String KGS_DATA   = "/images/kgsSm2.png";
  public static final String PC_DATA    = "/images/production_64a.png";

  /* ======================================================================= *
   * ------------------------------ EDIT Icons ----------------------------- *
   * ======================================================================= */

  public static final String      CSV      = "/images/save_csv.png";
  public static final String      XML      = "/images/save_xml.png";
  public static final String      PDF      = "/images/save_pdf.png";
  public static final String      CLOSE    = "/images/close.png";

  /* ======================================================================= *
   * ------------------------------ Constants ------------------------------ *
   * ======================================================================= */

  public static final int _NO    = 0;
  public static final int _YES   = 1;

  public static final int OFF    = 0;
  public static final int ON     = 1;

  /* ======================================================================= *
   * --------------------------- Global Variables -------------------------- *
   * ======================================================================= */

  public int           iServerUsed;     // Server that will be used.
  public boolean       bStandalone;     // Application is Stand alone
  public URL           urlDirCodeBase;  // Base URL of Applet.
  public AppletContext appletContext;   // Applet Context
  public String        sPath;           // Path to retrieve data from JAR File
  public String        sImagePath;      // Path to retrieve images from JAR File
  public ClassLoader   cl;
}